
/*
 *	MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.serverlist.init;

import org.lwjgl.glfw.GLFW;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.KeyMapping;

import net.mcreator.serverlist.network.ViewMessage;
import net.mcreator.serverlist.ServerListMod;

import net.fabricmc.fabric.api.client.networking.v1.ClientPlayNetworking;
import net.fabricmc.fabric.api.client.keybinding.v1.KeyBindingHelper;
import net.fabricmc.fabric.api.client.event.lifecycle.v1.ClientTickEvents;

import com.mojang.blaze3d.platform.InputConstants;

public class ServerListModKeyMappings {
	public static class ServerListModKeyMapping extends KeyMapping {
		private boolean isDownOld;

		public ServerListModKeyMapping(String string, int i, String string2) {
			super(string, InputConstants.Type.KEYSYM, i, string2);
		}

		public int action() {
			if (isDownOld != isDown() && isDown()) {
				isDownOld = isDown();
				return 1;
			} else if (isDownOld != isDown() && !isDown()) {
				isDownOld = isDown();
				return 2;
			}
			isDownOld = isDown();
			return 0;
		}
	}

	public static ServerListModKeyMapping VIEW = (ServerListModKeyMapping) KeyBindingHelper.registerKeyBinding(new ServerListModKeyMapping("key.server_list.view", GLFW.GLFW_KEY_R, "key.categories.multiplayer"));

	public static void load() {
		ClientTickEvents.END_CLIENT_TICK.register((client) -> {
			int VIEWaction = VIEW.action();
			if (VIEWaction == 1) {
				ClientPlayNetworking.send(new ResourceLocation(ServerListMod.MODID, "view"), new ViewMessage(true, false));
			} else if (VIEWaction == 2) {
				ClientPlayNetworking.send(new ResourceLocation(ServerListMod.MODID, "view"), new ViewMessage(false, true));
			}
		});
	}
}
