
package net.mcreator.serverlist.network;

import net.minecraft.world.level.Level;
import net.minecraft.server.network.ServerGamePacketListenerImpl;
import net.minecraft.server.level.ServerPlayer;
import net.minecraft.server.MinecraftServer;
import net.minecraft.network.FriendlyByteBuf;

import net.mcreator.serverlist.world.inventory.Page4Menu;
import net.mcreator.serverlist.procedures.Transfer3Procedure;
import net.mcreator.serverlist.procedures.Transfer2Procedure;
import net.mcreator.serverlist.procedures.Transfer1Procedure;

import net.fabricmc.fabric.api.networking.v1.PacketSender;

import java.util.HashMap;

import io.netty.buffer.Unpooled;

public class Page4ButtonMessage extends FriendlyByteBuf {
	public Page4ButtonMessage(int buttonID, int x, int y, int z) {
		super(Unpooled.buffer());
		writeInt(buttonID);
		writeInt(x);
		writeInt(y);
		writeInt(z);
	}

	public static void apply(MinecraftServer server, ServerPlayer entity, ServerGamePacketListenerImpl handler, FriendlyByteBuf buf, PacketSender responseSender) {
		int buttonID = buf.readInt();
		double x = buf.readInt();
		double y = buf.readInt();
		double z = buf.readInt();
		server.execute(() -> {
			Level world = entity.level();
			HashMap guistate = Page4Menu.guistate;
			if (buttonID == 0) {

				Transfer1Procedure.execute(world, x, y, z, entity);
			}
			if (buttonID == 1) {

				Transfer2Procedure.execute(world, x, y, z, entity);
			}
			if (buttonID == 2) {

				Transfer3Procedure.execute(world, x, y, z, entity);
			}
		});
	}
}
